Sets custom field values for a project.

POSThttps://api.awork.com/api/v1/projects/{projectId}/setcustomfields
POST https://api.awork.com/api/v1/projects/{projectId}/setcustomfields

Sets the submitted custom field values on the specified project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Request body Required

The list of custom field values to set.

application/json

customFieldDefinitionIdstringRequired
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The user id. The user id can be set for custom field type 'user'.

clientIdValuestring or nullOptional
format: uuid

The client id. The client id can be set for custom field type 'client'.

numberValuenumber or nullOptional
format: double

The number value. The number value can be set for custom field type 'number'.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value. The id can be set for custom field types 'select' and 'coloredSelect'.

textValuestring or nullOptional
maxLength: 750

The text value. The text value can be set for custom field types 'text' and 'link'.

dateValuestring or nullOptional
format: date-time

The date value. The date value can be set for custom field types 'date' and 'datetime'.

booleanValueboolean or nullOptional

The boolean value. The boolean value can be set for custom field type 'boolean'.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation